<!--payList 支付列表-->
<template>
  <div>
    <div v-for="(item , index) in list.filter(i=>i.status==1)" @click="handleBalance(item)"  class="flex flex-m payList-item bor-b" :key="index">
      <van-icon class="mr15" :color="item.name | color" :size="size" :name="item.name | icon" v-if="item.name != 'mudan'"/>
      <!-- <van-image width="30" height="30" :src="icon('mudan')"  v-if="item.name == 'mudan'" /> &nbsp;&nbsp; -->
      <div class="flex-1">
          <div class="payList-title">{{item.name | name}}</div>
          <div v-if="item.name=='balance'" class="payList-lable">当前余额: <span class="m_red ml10">¥{{userinfo.credit1}}</span></div>
          <div v-if="item.name=='credit3'" class="payList-lable">当前余额: <span class="m_red ml10">¥{{userinfo.credit3}}</span></div>
          <div v-if="item.name=='mudan'" class="payList-lable">当前余额: <span class="m_red ml10">¥{{userinfo.mudan}}</span></div>
        </div>
      <van-icon v-if="check===item.name" color="#4c80c1" size="0.4rem" name="checked" />

    </div>


  </div>
</template>

<script>
export default {
  name: 'payList',
  props:{
    check:String,
    order_id: [String, Number]
  },
  data() {
    return {
      size: '0.6rem',
      list:[],
    }
  },
  created() {
      this.init()
  },
  methods: {
    //初始化方法
    init() {
      this.getUserinfo();
      this.allow_list();
    },
    allow_list() {
      this.api.allow_list({
        order_id: this.order_id
      }).then(res => {
        this.list = res.data
        console.log(this.list);
      })
    },

    handleBalance(item) {
      console.log(item.name);
      
      this.$emit('clickItem', item)
    },
    icon: function(icon){
      let img = require('@/assets/img/img/mudan_golden.png')
      return img
    }
  },

  filters: {
    icon(v) {
      if (v == 'balance') { return 'gold-coin' }
      if (v == 'credit3') {
        let img = require('@/assets/img/img/credit3.png')
        return img
        }
      if (v == 'alipay') { return 'alipay' }
      if (v == 'wechat') { return 'wechat' }
      if (v == 'mudan') {
        let img = require('@/assets/img/img/mudan_golden.png')
        return img
      }
      if (v == 'alipay-later') { return 'alipay' }
      if (v == 'alipay-qr') { return 'alipay' }
    },

    name(v) {
      if (v == 'alipay') { return '支付宝支付' }
      if (v == 'wechat') { return '微信支付' }
      if (v == 'balance') { return '余额支付' }
      if (v == 'credit3') { return '品牌券支付' }
      if (v == 'mudan') { return '牡丹积分' }
      if (v == 'alipay-later') { return '请求代付' }
      if (v == 'alipay-qr') { return '支付宝网页' }
    },

    color(v) {
      if (v == 'alipay') { return '#39a1ea' }
      if (v == 'wechat') { return '#38b905' }
      if (v == 'balance') { return '#ff8731' }
      if (v == 'balance') { return '#ff8731' }
      if (v == 'mudan') { return '#ff8731' }
      if (v == 'alipay-later') { return '#39a1ea' }
      if (v == 'alipay-qr') { return '#39a1ea' }
    }
  }
}

</script>
<style lang='scss' scoped>
.payList-item {
  padding: 0.26rem 0.26rem;
  background: #fff;
  box-sizing: border-box;
}

.payList-title {
  // margin-bottom: 0.15rem;
  font-size: 0.3rem;
}

.payList-lable {
  color: #777;
  font-size: 0.28rem;
  margin-top: 0.1rem;
}
.bor-b {
  border-bottom: 1px solid #eee;
}
</style>